Tracking Pixels

GET https://www.clientlink.ch/api/pixels/
curl --request GET \
--url 'https://www.clientlink.ch/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
page Optional Ganzzahl Die Seitennummer, ab der Sie Ergebnisse wünschen. Der Standardwert ist 1.
results_per_page Optional Ganzzahl Wie viele Ergebnisse Sie pro Seite wünschen. Erlaubte Werte sind: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Standardwert ist 25.
{
    "data": [
        {
            "id": 1,
            "type": "facebook",
            "name": "Fb Ads",
            "pixel": "1234567",
            "last_datetime": null,
            "datetime": "2026-03-03 01:46:30",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://www.clientlink.ch/api/pixels?page=1",
        "last": "https://www.clientlink.ch/api/pixels?page=1",
        "next": null,
        "prev": null,
        "self": "https://www.clientlink.ch/api/pixels?page=1"
    }
}
GET https://www.clientlink.ch/api/pixels/{pixel_id}
curl --request GET \
--url 'https://www.clientlink.ch/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "facebook",
        "name": "Fb Ads",
        "pixel": "1234567",
        "last_datetime": null,
        "datetime": "2026-03-03 01:46:30",
    }
}
POST https://www.clientlink.ch/api/pixels
Parameter Details Beschreibung
type Erforderlich Zeichenfolge Erlaubte Werte: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat , proofrco , trkcloud
name Erforderlich Zeichenfolge -
pixel Erforderlich Zeichenfolge -
curl --request POST \
--url 'https://www.clientlink.ch/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
    "data": {
        "id": 1
    }
}
POST https://www.clientlink.ch/api/pixels/{pixel_id}
Parameter Details Beschreibung
type Optional Zeichenfolge Erlaubte Werte: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat , proofrco , trkcloud
name Optional Zeichenfolge -
pixel Optional Zeichenfolge -
curl --request POST \
--url 'https://www.clientlink.ch/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
    "data": {
        "id": 1
    }
}
DELETE https://www.clientlink.ch/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://www.clientlink.ch/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \